Bug 1013227 - Crash when trying to remove a package -- [abrt] gnome-software-3.10.0-1.fc20: _g_log_abort: Process /usr/bin/gnome-software was killed by signal 6 (SIGABRT)
Crash when trying to remove a package -- [abrt] gnome-software-3.10.0-1.fc20:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:ecffd8a94916522839078f71a3d...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 10:09 EDT by lemovice
Modified: 2015-06-29 20:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.49 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: core_backtrace (53.58 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: dso_list (11.91 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: environ (1.20 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: maps (58.11 KB, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: open_fds (616 bytes, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-09-28 10:10 EDT, lemovice
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 709277 None None None Never

  None (edit)
Description lemovice 2013-09-28 10:09:55 EDT
Version-Release number of selected component:
gnome-software-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        gnome-software
crash_function: _g_log_abort
executable:     /usr/bin/gnome-software
kernel:         3.11.1-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 pango_layout_check_lines at pango-layout.c:3868
 #6 pango_layout_get_extents_internal at pango-layout.c:2539
 #7 pango_layout_get_extents at pango-layout.c:2734
 #8 gtk_label_get_measuring_layout at gtklabel.c:3251
 #9 gtk_label_get_preferred_layout_size at gtklabel.c:3577
 #10 gtk_label_get_preferred_size at gtklabel.c:3641
 #11 gtk_widget_query_size_for_orientation at gtksizerequest.c:180
 #12 gtk_widget_compute_size_for_orientation at gtksizerequest.c:390
 #13 gtk_widget_get_preferred_width at gtksizerequest.c:490
Comment 1 lemovice 2013-09-28 10:10:00 EDT
Created attachment 804423 [details]
File: backtrace
Comment 2 lemovice 2013-09-28 10:10:03 EDT
Created attachment 804424 [details]
File: cgroup
Comment 3 lemovice 2013-09-28 10:10:07 EDT
Created attachment 804425 [details]
File: core_backtrace
Comment 4 lemovice 2013-09-28 10:10:10 EDT
Created attachment 804426 [details]
File: dso_list
Comment 5 lemovice 2013-09-28 10:10:13 EDT
Created attachment 804427 [details]
File: environ
Comment 6 lemovice 2013-09-28 10:10:16 EDT
Created attachment 804428 [details]
File: limits
Comment 7 lemovice 2013-09-28 10:10:19 EDT
Created attachment 804429 [details]
File: maps
Comment 8 lemovice 2013-09-28 10:10:22 EDT
Created attachment 804430 [details]
File: open_fds
Comment 9 lemovice 2013-09-28 10:10:25 EDT
Created attachment 804431 [details]
File: proc_pid_status
Comment 10 Ryan Lerch 2013-10-02 11:39:36 EDT
According to ABRT, i also just hit this issue with gnome-software on f20.
Comment 11 Ryan Lerch 2013-10-02 11:47:57 EDT
I can hit this sporadically (its happened about 60% of the time) when removing
applications in the "installed" tab.

I have also created a bug for this one upstream -- 
https://bugzilla.gnome.org/show_bug.cgi?id=709277
Comment 12 Ryan Lerch 2013-10-14 09:59:14 EDT
This one is now fixed upstream
Comment 13 Richard Hughes 2013-10-30 11:33:46 EDT
I'm pretty sure this should be fixed in 3.10.3, can you please verify? http://koji.fedoraproject.org/koji/buildinfo?buildID=474286 -- thanks.
Comment 14 Maël Lavault 2013-10-30 15:06:43 EDT
It is not, I just hit this when trying to remove Qt4 dbus viewer with freshly updated gnome-software 3.10.3.
Comment 15 Fredrik Nyqvist 2013-12-07 08:16:46 EST
I have the same problem with gnome-software 3.10.4 on f20
Comment 16 Ankur Sinha (FranciscoD) 2013-12-29 21:56:57 EST
Just happened to me:

[asinha@ankur-laptop  ~]$ rpm -q gnome-software
gnome-software-3.10.4-1.fc20.x86_64
Comment 17 innersleeve 2014-01-03 08:38:21 EST
Another user experienced a similar problem:

New install of Fedora over Mint, not sure.

reporter:       libreport-2.1.10
backtrace_rating: 3
cmdline:        gnome-software
crash_function: _g_log_abort
executable:     /usr/bin/gnome-software
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-software-3.10.4-1.fc20
reason:         Process /usr/bin/gnome-software was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Adam Williamson 2014-08-07 12:14:36 EDT
As we have reports that the change did not fix the bug, setting back to assigned - Richard, can you take another look at it? Thanks!

If anyone is *still* hitting this bug reproducibly and can attach the latest backtrace, it would help - it's possible there may be changed details in it but abrt still sees it as a dupe.
Comment 19 Fedora End Of Life 2015-05-29 05:28:19 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-06-29 20:42:52 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.